automation-suite
2024.10
false
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
- Get message template
- Update a message template
- Get message template by name
Automation Suite API guide
Returns a message template, based on the template ID.
API endpoint
GET https://{yourDomain}/{organizationName}/identity_/api/MessageTemplate/{templateId}
Scopes
Requires the following scopes:
PM.MessageTemplatePM.MessageTemplate.Read
Request headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Path parameters
| Parameter | Data type | Description |
|---|---|---|
templateId | String | Required. The ID of message template you want to retrieve. |
Responses
200 OK
Returns the message template information, such as message ID, the message title, and the content.
{
"id": 0,
"name": "string",
"value": "string"
}
{
"id": 0,
"name": "string",
"value": "string"
}